Loading...
Searching...
No Matches
libcoap.h File Reference

Platform specific header file for CoAP stack. More...

`#include <netinet/in.h>`
`#include <sys/socket.h>`
Include dependency graph for libcoap.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | COAP_STATIC_INLINE static inline
#define | COAP_DEPRECATED __attribute__ ((deprecated))
#define | COAP_UNUSED
#define | COAP_API

## Functions

void | coap_startup (void)
void | coap_cleanup (void)

## Detailed Description

Platform specific header file for CoAP stack.

Definition in file libcoap.h.

## Macro Definition Documentation

## COAP_API

#define COAP_API

Definition at line 75 of file libcoap.h.

## COAP_DEPRECATED

#define COAP_DEPRECATED __attribute__ ((deprecated))

Definition at line 62 of file libcoap.h.

## COAP_STATIC_INLINE

#define COAP_STATIC_INLINE static inline

Definition at line 53 of file libcoap.h.

## COAP_UNUSED

#define COAP_UNUSED

Definition at line 70 of file libcoap.h.

## Function Documentation

## coap_cleanup()

void coap_cleanup | ( | void |  | ) |

Definition at line 4494 of file coap_net.c.

Here is the call graph for this function:

## coap_startup()

void coap_startup | ( | void |  | ) |

Definition at line 4449 of file coap_net.c.

Here is the call graph for this function:
Here is the caller graph for this function: